Skip to main content
GET
/
api
/
v1
/
active_launch_plans
/
{id.project}
/
{id.domain}
/
{id.name}
Fetch the active version of a :ref:`ref_flyteidl.admin.LaunchPlan`
curl --request GET \
  --url https://mycluster.domino.tech/api/v1/active_launch_plans/{id.project}/{id.domain}/{id.name}
{
  "id": {
    "resource_type": "UNSPECIFIED",
    "project": "<string>",
    "domain": "<string>",
    "name": "<string>",
    "version": "<string>",
    "org": "<string>"
  },
  "spec": {
    "workflow_id": {
      "resource_type": "UNSPECIFIED",
      "project": "<string>",
      "domain": "<string>",
      "name": "<string>",
      "version": "<string>",
      "org": "<string>"
    },
    "entity_metadata": {
      "schedule": {
        "cron_expression": "<string>",
        "rate": {
          "value": 123,
          "unit": "MINUTE"
        },
        "cron_schedule": {
          "schedule": "<string>",
          "offset": "<string>"
        },
        "kickoff_time_input_arg": "<string>"
      },
      "notifications": [
        {
          "phases": [
            "UNDEFINED"
          ],
          "email": {
            "recipients_email": [
              "<string>"
            ],
            "template": "<string>"
          },
          "pager_duty": {
            "recipients_email": [
              "<string>"
            ],
            "template": "<string>"
          },
          "slack": {
            "recipients_email": [
              "<string>"
            ],
            "template": "<string>"
          }
        }
      ],
      "launch_conditions": {
        "@type": "<string>"
      }
    },
    "default_inputs": {
      "parameters": {}
    },
    "fixed_inputs": {
      "literals": {}
    },
    "role": "<string>",
    "labels": {
      "values": {}
    },
    "annotations": {
      "values": {}
    },
    "auth": {
      "assumable_iam_role": "<string>",
      "kubernetes_service_account": "<string>"
    },
    "auth_role": {
      "assumable_iam_role": "<string>",
      "kubernetes_service_account": "<string>"
    },
    "security_context": {
      "run_as": {
        "iam_role": "<string>",
        "k8s_service_account": "<string>",
        "oauth2_client": {
          "client_id": "<string>",
          "client_secret": {
            "group": "<string>",
            "group_version": "<string>",
            "key": "<string>",
            "mount_requirement": "ANY",
            "env_var": "<string>"
          }
        },
        "execution_identity": "<string>"
      },
      "secrets": [
        {
          "group": "<string>",
          "group_version": "<string>",
          "key": "<string>",
          "mount_requirement": "ANY",
          "env_var": "<string>"
        }
      ],
      "tokens": [
        {
          "name": "<string>",
          "type": "CLIENT_CREDENTIALS",
          "client": {
            "client_id": "<string>",
            "client_secret": {
              "group": "<string>",
              "group_version": "<string>",
              "key": "<string>",
              "mount_requirement": "ANY",
              "env_var": "<string>"
            }
          },
          "idp_discovery_endpoint": "<string>",
          "token_endpoint": "<string>"
        }
      ]
    },
    "quality_of_service": {
      "tier": "UNDEFINED",
      "spec": {
        "queueing_budget": "<string>"
      }
    },
    "raw_output_data_config": {
      "output_location_prefix": "<string>"
    },
    "max_parallelism": 123,
    "interruptible": true,
    "overwrite_cache": true,
    "envs": {
      "values": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    },
    "execution_env_assignments": [
      {
        "node_ids": [
          "<string>"
        ],
        "task_type": "<string>",
        "execution_env": {
          "name": "<string>",
          "type": "<string>",
          "extant": {},
          "spec": {},
          "version": "<string>"
        }
      }
    ],
    "cluster_assignment": {
      "cluster_pool_name": "<string>"
    },
    "concurrency_policy": {
      "max": 123,
      "behavior": "CONCURRENCY_LIMIT_BEHAVIOR_UNSPECIFIED"
    }
  },
  "closure": {
    "state": "INACTIVE",
    "expected_inputs": {
      "parameters": {}
    },
    "expected_outputs": {
      "variables": {}
    },
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Path Parameters

id.project
string
required

Name of the project the resource belongs to.

id.domain
string
required

Name of the domain the resource belongs to. A domain can be considered as a subset within a specific project.

id.name
string
required

User provided value for the resource. The combination of project + domain + name uniquely identifies the resource. +optional - in certain contexts - like 'List API', 'Launch plans'

Query Parameters

id.org
string

Optional, org key applied to the resource.

Response

A successful response.

A LaunchPlan provides the capability to templatize workflow executions. Launch plans simplify associating one or more schedules, inputs and notifications with your workflows. Launch plans can be shared and used to trigger executions with predefined inputs even when a workflow definition doesn't necessarily have a default value for said input.

id
object

Encapsulation of fields that uniquely identifies a Flyte resource.

spec
object

User-provided launch plan definition and configuration values.

closure
object

Values computed by the flyte platform after launch plan registration. These include expected_inputs required to be present in a CreateExecutionRequest to launch the reference workflow as well timestamp values associated with the launch plan.